Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235074 - Include ncpfs support in RHEL
Summary: Include ncpfs support in RHEL
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: RHEL Product and Program Management
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks: 425461
TreeView+ depends on / blocked
 
Reported: 2007-04-03 18:11 UTC by Peter Åstrand
Modified: 2009-10-07 22:02 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-07 22:02:05 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Peter Åstrand 2007-04-03 18:11:00 UTC
We have a lot of customers with Novell file servers, and being able to access
their home directory, as well as other shared directories, is a number one
requirement. So, it would be great if RHEL could support ncpfs. This includes
building the kernel with ncpfs support as well as shipping the "ncpfs" tools
(such as ncpmount). 

As a side note, Novells own client
(http://www.novell.com/products/clients/linux/overview.html) is only supported
on (a few of) Novells own distributions. As far as I understand, it does not
work on RHEL, and it isn't open source. 

ncpfs is fairly stable. It's included in Fedora and most other distributions. We
have customers running 50 or so concurrent user sessions per server. Each user
has several NCP mounts, so hundreds of mounts per server is not uncommon. We
have detected one problem, though: 
http://lkml.org/lkml/2007/1/4/92, but we have also provided a fix for this
problem, which will be included in the next kernel release. 

So: Can ncpfs be included in future RHEL versions or updates?

Comment 2 John Johansson 2007-05-28 09:55:36 UTC
In our enviroment we have rhel client 5 as desktop and building custom kernels
and managing updates for theese is not what we had expected when we choose Red
Hat as distribution for our enviroment. So please consider including support for
ncp and ncpfs in future rhel updates.

Comment 4 RHEL Product and Program Management 2008-02-01 22:41:56 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 6 Ric Wheeler 2009-10-07 22:02:05 UTC
There are no plans to support ncpfs in RHEL.


Note You need to log in before you can comment on or make changes to this bug.